Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGReasonerFactory

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.DIGReasonerFactory

All Implemented Interfaces:
  ReasonerFactory

    public class DIGReasonerFactory

extends java.lang.Object
implements ReasonerFactory

Factory class for generating instances of DIG reasoners. Implements singleton pattern.

Version:
  Release @release@ ($Id: DIGReasonerFactory.java,v 1.11 2008/01/02 12:07:11 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static java.lang.String` | `DEFAULT_DAML_AXIOMS` Default axioms location for the DAML variant DIG reasoner
`static java.lang.String` | `DEFAULT_OWL_AXIOMS` Default axioms location for the OWL variant DIG reasoner
`static java.lang.String` | `URI` Static URI for this reasoner type

Method Summary
`Reasoner` | `create(Resource configuration)` Answer a new DIG reasoner instance, optionally configured with the given configuration resource.
`DIGReasoner` | `create(Resource language, java.lang.String axiomsURL, Resource configuration)` Create a DIG reasoner with the given ontology language, axioms and configuration.
`Reasoner` | `createWithDAMLAxioms(Resource configuration)` Answer a new DIG reasoner instance (optionally configured with the given configuration resource) that is pre-loaded with the axioms pertaining to the DAML language.
`Reasoner` | `createWithOWLAxioms(Resource configuration)` Answer a new DIG reasoner instance (optionally configured with the given configuration resource) that is pre-loaded with the axioms pertaining to the OWL language.
`Model` | `getCapabilities()` Return a description of the capabilities of this reasoner encoded in RDF.
`java.lang.String` | `getURI()` Answer the URI of this reasoner factory
`static DIGReasonerFactory` | `theInstance()` Answer the singleton instance of the factory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  Static URI for this reasoner type

  See Also:
    Constant Field Values

### DEFAULT_OWL_AXIOMS

    public static final java.lang.String DEFAULT_OWL_AXIOMS

  Default axioms location for the OWL variant DIG reasoner

  See Also:
    Constant Field Values

### DEFAULT_DAML_AXIOMS

    public static final java.lang.String DEFAULT_DAML_AXIOMS

  Default axioms location for the DAML variant DIG reasoner

  See Also:
    Constant Field Values

Method Detail

### theInstance

    public static DIGReasonerFactory theInstance()

  Answer the singleton instance of the factory.

### create

    public Reasoner create(Resource configuration)

  Answer a new DIG reasoner instance, optionally configured with the given configuration resource.

  Specified by:
    `create` in interface `ReasonerFactory`
  Parameters:
    `configuration` - A resource whose properties denote the configuration of the reasoner instance, or null to rely on the default configuration.

### createWithDAMLAxioms

    public Reasoner createWithDAMLAxioms(Resource configuration)

  Answer a new DIG reasoner instance (optionally configured with the given configuration resource) that is pre-loaded with the axioms pertaining to the DAML language.

  Parameters:
    `configuration` - A resource whose properties denote the configuration of the reasoner instance, or null to rely on the default configuration.

### createWithOWLAxioms

    public Reasoner createWithOWLAxioms(Resource configuration)

  Answer a new DIG reasoner instance (optionally configured with the given configuration resource) that is pre-loaded with the axioms pertaining to the OWL language.

  Parameters:
    `configuration` - A resource whose properties denote the configuration of the reasoner instance, or null to rely on the default configuration.

### create

    public DIGReasoner create(Resource language,
                              java.lang.String axiomsURL,
                              Resource configuration)

  Create a DIG reasoner with the given ontology language, axioms and configuration.

  Parameters:
    `language` - The URI of the ontology lanuage (owl or daml), or null
    `axiomsURL` - The URL of the axioms to load, or null
    `configuration` - The root of the configuration options for the model, or null
  Returns:
    A new DIG reasoner object

### getCapabilities

    public Model getCapabilities()

  Description copied from interface: `ReasonerFactory`
  Return a description of the capabilities of this reasoner encoded in RDF. These capabilities may be static or may depend on configuration information supplied at construction time. May be null if there are no useful capabilities registered.

  Specified by:
    `getCapabilities` in interface `ReasonerFactory`

### getURI

    public java.lang.String getURI()

  Answer the URI of this reasoner factory

  Specified by:
    `getURI` in interface `ReasonerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP